const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("pushbusiness", {
    sourceCode: DataTypes.STRING(100),              //  业务来源            		
    sourceName: DataTypes.STRING(100),              //  业务来源名称      		
    uappKey: DataTypes.STRING(64),              //  平台应用key         		
    aliAppkey: DataTypes.STRING(64),              //  阿里网关appkey      		
    aliSecret: DataTypes.STRING(255),              //  阿里网关密钥      		
    status: DataTypes.INTEGER,              //  状态 0禁用 1启用  		
    pushSveUrl: DataTypes.STRING(500),              //  推送服务url         		
    pushProductId: DataTypes.STRING(255),              //  推送方产品ID       		
    sveProductId: DataTypes.STRING(255),              //  服务方产品ID       		
    notes: DataTypes.STRING(255),              //  备注    
  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      updatedAt: false,
      //freezeTableName: true,
      // define the table's name
      tableName: 'c_push_business',
      validate: {

      },
      indexes: [
      ]
    });
}
